Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 616615 - gdm greeter randomly switches screen with nvidia Twinview enabled
gdm greeter randomly switches screen with nvidia Twinview enabled
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gdm (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: jmccann
desktop-bugs@redhat.com
: RHELNAK
Depends On:
Blocks: 670619 697892
  Show dependency treegraph
 
Reported: 2010-07-20 20:33 EDT by Scott Spurrier
Modified: 2015-01-14 18:25 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 670619 (view as bug list)
Environment:
Last Closed: 2010-11-30 16:55:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Spurrier 2010-07-20 20:33:36 EDT
Description of problem:
This problem was reported on RHEL 6 beta snapshots 6 and 7.

On a system with dual monitors using nvidia twinview, the gdm greeter screen will randomly switch screens before login.  It appears this is a timing problem related to how quickly the monitors sync up when X is started.

The primary display should be consistent regardless of how long the monitors take to sync up (within a reasonable timeout).

This is switching at run time...each log out, it can potentially switch screens depending on the sync speed of the monitors. I have multiple sources on my monitors, so when X restarts it can cause the monitors to search for signal.

versions...
metacity-2.28.0-15.el6.x86_64
gdm-2.30.2-3.el6.x86_64
Comment 2 RHEL Product and Program Management 2010-07-20 20:57:34 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 9 RHEL Product and Program Management 2010-11-30 16:55:08 EST
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.